Bug 1703954 - View subscription on Operator Catalogs page does not show subscription list
Summary: View subscription on Operator Catalogs page does not show subscription list
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.1.0
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-29 08:07 UTC by XiaochuanWang
Modified: 2019-05-06 13:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-06 13:27:46 UTC
Target Upstream Version:


Attachments (Terms of Use)
empty subscription list for etcd operator (134.55 KB, image/png)
2019-04-29 08:07 UTC, XiaochuanWang
no flags Details

Description XiaochuanWang 2019-04-29 08:07:22 UTC
Created attachment 1559807 [details]
empty subscription list for etcd operator

Description of problem:
Click 'View subscription' on Operator Catalogs page does not list the subscriptions.

Version-Release number of selected component (if applicable):
4.1.0-0.nightly-2019-04-28-064010

image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:21d48d6343f7f44b029b1bbc99af8ed735bea593bf8ef06b84bbab4cc1ba98b5

console commit: io.openshift.build.commit.id=cf8293355b288b2a2835d00aa5ff7c8c4f104445io.openshift.build.commit.url=https://github.com/openshift/console/commit/cf8293355b288b2a2835d00aa5ff7c8c4f104445


How reproducible:
Always

Steps to Reproduce:
1. Cluster admin user goes to Catalog -> Operator Hub -> choose "Template Service Broker Operator" -> Subscribe to single namespace
2. Go to Catalog -> Operator Management page -> Operator Catalogs. Click 'View subscription' besides "Template Service Broker Operator"
(Please refer to screenshot)

Actual results:
The page layout is same, but content does not list subscriptions. URL is operatormanagement/ns/xiaocwan-t/subscriptions?name=templateservicebroker

Expected results:
It should list the subscriptions.

Additional info:

Comment 1 Samuel Padgett 2019-04-29 14:14:11 UTC
https://github.com/openshift/console/pull/1505

Comment 2 XiaochuanWang 2019-04-30 09:38:42 UTC
Will verify it on latest version:

Now this is still reproduced on 4.1-art-latest-2019-04-29-235412:console 
Console image:
    console.openshift.io/image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:f6e707cb19025dee3a58db39eca56be7c351e35ee748c4c01d7a81082321d2bf
Commit:
    io.openshift.build.commit.id=b53117a33ddf82d4ff16fb0cc55fb5062b66bf5c 
    io.openshift.build.commit.url=https://github.com/openshift/console/commit/b53117a33ddf82d4ff16fb0cc55fb5062b66bf5c

Comment 3 shahan 2019-05-05 03:57:50 UTC
The bug has been fixed, we can view subscription on Operator catalogs page.
console commits" 47f5e8e4a15303a15f138070753ab41c3e8fac3c
console image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:517fb0501e28769fa9edbf4fb228eac9c69c892d9f757892c3fe0219096a9df7


Note You need to log in before you can comment on or make changes to this bug.